PulseAudio 16.1

Data Fields
pa_card_info Struct Reference

Stores information about cards. More...

`#include <introspect.h>`

## Data Fields
uint32_t | index
| Index of this card. More...
const char * | name
| Name of this card. More...
uint32_t | owner_module
| Index of the owning module, or PA_INVALID_INDEX. More...
const char * | driver
| Driver name. More...
uint32_t | n_profiles
| Number of entries in profile array. More...
pa_card_profile_info * | profiles
pa_card_profile_info * | active_profile
pa_proplist * | proplist
| Property list. More...
uint32_t | n_ports
| Number of entries in port array. More...
pa_card_port_info ** | ports
| Array of pointers to ports, or NULL. More...
pa_card_profile_info2 ** | profiles2
| Array of pointers to available profiles, or NULL. More...
pa_card_profile_info2 * | active_profile2
| Pointer to active profile in the array, or NULL. More...

## Detailed Description

Stores information about cards.

Please note that this structure can be extended as part of evolutionary API updates at any time in any new release.

Since
  0.9.15

## Field Documentation

## ◆ active_profile

pa_card_profile_info* pa_card_info::active_profile

Deprecated:
  Superseded by active_profile2

## ◆ active_profile2

pa_card_profile_info2* pa_card_info::active_profile2

Pointer to active profile in the array, or NULL.

Since
  5.0

## ◆ driver

const char* pa_card_info::driver

Driver name.

## ◆ index

uint32_t pa_card_info::index

Index of this card.

## ◆ n_ports

uint32_t pa_card_info::n_ports

Number of entries in port array.

## ◆ n_profiles

uint32_t pa_card_info::n_profiles

Number of entries in profile array.

## ◆ name

const char* pa_card_info::name

Name of this card.

## ◆ owner_module

uint32_t pa_card_info::owner_module

Index of the owning module, or PA_INVALID_INDEX.

## ◆ ports

pa_card_port_info** pa_card_info::ports

Array of pointers to ports, or NULL.

Array is terminated by an entry set to NULL.

## ◆ profiles

pa_card_profile_info* pa_card_info::profiles

Deprecated:
  Superseded by profiles2

## ◆ profiles2

pa_card_profile_info2** pa_card_info::profiles2

Array of pointers to available profiles, or NULL.

Array is terminated by an entry set to NULL.

Since
  5.0

## ◆ proplist

pa_proplist* pa_card_info::proplist

Property list.

The documentation for this struct was generated from the following file:

- introspect.h